/******************************************************************************
*                                                                             *
*    DropTarget.h                           Copyright(c) 2007-2010 itow,y.    *
*                                                                             *
******************************************************************************/


#ifndef ANT_DROPTARGET_H
#define ANT_DROPTARGET_H

/*
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


class AntDropTarget : public IDropTarget
{
	LONG m_RefCount;
	IDataObject *m_pDataObject;
	~AntDropTarget();

public:
	AntDropTarget();
// IUnknown
	STDMETHOD(QueryInterface)(REFIID riid,void **ppvObj);
	STDMETHOD_(ULONG,AddRef)();
	STDMETHOD_(ULONG,Release)();
// IDropTarget
	STDMETHOD(DragEnter)(IDataObject *pDataObject,DWORD grfKeyState,POINTL ptl,
															DWORD *pdwEffect);
	STDMETHOD(DragOver)(DWORD grfKeyState,POINTL ptl,DWORD* pdwEffect);
	STDMETHOD(DragLeave)();
	STDMETHOD(Drop)(IDataObject* pDataObject,DWORD grfKeyState,POINTL ptl,
															DWORD* pdwEffect);
};


#endif	// ndef ANT_DROPTARGET_H
