/******************************************************************************
*                                                                             *
*    resource.h                             Copyright(c) 2007-2010 itow,y.    *
*                                                                             *
******************************************************************************/

/*
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#define IDI_ICON	10

#define IDM_MAIN	20
#define IDM_PLAY	21

#define IDA_ACCEL	30

#define IDB_TOOLBAR			40
#define IDB_TOOLBAR_DISABLE	41

#define CM_OPEN			100
#define CM_ALWAYSONTOP	101
#define CM_ABOUT		102
#define CM_EXIT			103
#define CM_PLAY			110
#define CM_PAUSE		111
#define CM_STOP			112
#define CM_VOLUME_UP	120
#define CM_VOLUME_DOWN	121
#define CM_MUTE			122
#define CM_ZOOM50		130
#define CM_ZOOM75		131
#define CM_ZOOM100		132
#define CM_ZOOM150		133
#define CM_ZOOM200		134
#define CM_ZOOM_FIRST	CM_ZOOM50
#define CM_ZOOM_LAST	CM_ZOOM200

#define IDD_ABOUT		200
#define IDD_PASSWORD	201
#define IDD_ERROR		202

#define IDC_ABOUT_WEB	300

#define IDC_PASSWORD_USERNAME	300
#define IDC_PASSWORD_PASSWORD	301

#define IDC_ERROR_SEVERITY		300
#define IDC_ERROR_CODE			301
#define IDC_ERROR_MESSAGE		302

#define IDS_FILTER						400
#define IDS_BUFFERING					401
#define IDS_CONTACTING					402
#define IDS_ERROR_SEVERITY_FIRST		410
#define IDS_ERROR_SEVERITY_EMERGENCY	(IDS_ERROR_SEVERITY_FIRST+0)
#define IDS_ERROR_SEVERITY_ALERT		(IDS_ERROR_SEVERITY_FIRST+1)
#define IDS_ERROR_SEVERITY_CRITICAL		(IDS_ERROR_SEVERITY_FIRST+2)
#define IDS_ERROR_SEVERITY_ERROR		(IDS_ERROR_SEVERITY_FIRST+3)
#define IDS_ERROR_SEVERITY_WARNING		(IDS_ERROR_SEVERITY_FIRST+4)
#define IDS_ERROR_SEVERITY_NOTICE		(IDS_ERROR_SEVERITY_FIRST+5)
#define IDS_ERROR_SEVERITY_INFORMATION	(IDS_ERROR_SEVERITY_FIRST+6)
#define IDS_ERROR_SEVERITY_DEBUG		(IDS_ERROR_SEVERITY_FIRST+7)
